<?php

/**
 * Plugin Name: WAAVE Compliance
 * Description: WAAVE Compliance
 * Author: WAAVE
 * Author URI: https://getwaave.com/
 * Version: 1.0.15
 * Requires at least: 4.6
 * WC requires at least: 4.0
 * WC tested up to: 5.0
 * Text Domain: waave-compliance
 * Domain Path: /i18n/languages/
 *
 */

defined( 'ABSPATH' ) or exit;

define( 'WAAVE_COMPLIANCE_PLUGIN_URL', untrailingslashit( plugins_url( basename( plugin_dir_path( __FILE__ ) ), basename( __FILE__ ) ) ) );
define( 'WAAVE_COMPLIANCE_PLUGIN_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'WAAVE_COMPLIANCE_MAIN_FILE', __FILE__ );

// Make sure WooCommerce is active
if ( ! in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    return;
}


function waave_compliance_load_textdomain() {
    load_plugin_textdomain( 'waave-compliance', false, dirname( plugin_basename(__FILE__) ) . '/i18n/languages/' );
}
add_action('plugins_loaded', 'waave_compliance_load_textdomain');

/**
 * Adds plugin page links
 * 
 * @since 1.0.0
 * @param array $links all plugin links
 * @return array $links all plugin links + our custom links (i.e., "Settings")
 */
function waave_compliance_plugin_links( $links ) {
    $plugin_links = array(
        '<a href="' . admin_url( 'admin.php?page=wc-settings&tab=waave' ) . '">' . __( 'Configure', 'waave-compliance' ) . '</a>'
    );

    return array_merge( $plugin_links, $links );
}
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'waave_compliance_plugin_links' );

function waave_compliance_init() {
    require_once( plugin_basename( 'vendor/autoload.php' ) );
    require_once( plugin_basename( 'includes/class-waave-compliance.php' ) );
    require_once( plugin_basename( 'includes/class-waave-compliance-rest-api.php' ) );
    require_once( plugin_basename( 'includes/class-waave-compliance-age-gate.php' ) );
}
add_action( 'plugins_loaded', 'waave_compliance_init');

add_action( 'init', array( 'WAAVE_Compliance', 'init' ) );
add_action( 'init', array( 'WAAVE_Compiance_Age_Gate', 'init' ) );
add_action( 'rest_api_init', array( 'WAAVE_Compiance_REST_API', 'init' ) );